NAME
tixwish - Windowing shell for interpreting Tix commands.

SYNOPSIS
tixwish ?fileName arg arg ...?

OPTIONS

-display display
    Display (and screen) on which to display window.

-geometry geometry
    Initial geometry to use for window. If this option is specified, its value is stored in the geometry global variable of the application's Tcl interpreter.

-name name
    Use name as the title to be displayed in the window, and as the name of the interpreter for send commands.

-sync
    Execute all X server commands synchronously, so that errors are reported immediately. This will result in much slower execution, but it is useful for debugging.

DESCRIPTION

Tixwish is a simple program consisting of the Tcl command language, the Tk toolkit, and a main program that reads commands from standard input or from a file. It creates a main window and then processes Tcl commands. If tixwish is invoked with no arguments, or with a first argument that starts with ``-'', then it reads Tcl commands interactively from standard input. It will continue processing commands until all windows have been deleted or until end-of-file is reached on standard input. If there exists a file .tixwishrc in the home directory of the user, tixwish evaluates the file as a Tcl script just before reading the first command from standard input.

If tixwish is invoked with an initial fileName argument, then fileName is treated as the name of a script file. Tixwish will evaluate the script in fileName (which presumably creates a user interface), then it will respond to events until all windows have been deleted. Commands will not be read from standard input. There is no automatic evaluation of .tixwishrc in this case, but the script file can always source it if desired.

OPTIONS

Tixwish automatically processes all of the command-line options described in the OPTIONS summary above. Any other command-line arguments besides these are passed through to the application using the argc and argv variables described later.

APPLICATION NAME AND CLASS

The name of the application, which is used for purposes such as send commands, is taken from the -name option, if it is specified; otherwise it is taken from fileName, if it is specified, or from the command name by which tixwish was invoked. In the last two cases, if the name contains a ``/'' character, then only the characters after the last slash are used as the application name.

The class of the application, which is used for purposes such as specifying options with a RESOURCE_MANAGER property or .Xdefaults file, is the same as its name except that the first letter is capitalized.

VARIABLES

Tixwish sets the following Tcl variables:

argc
    Contains a count of the number of arg arguments (0 if none), not including the options described above.

argv
    Contains a Tcl list whose elements are the arg arguments (not including the options described above), in order, or an empty string if there are no arg arguments.

argv0
    Contains fileName if it was specified. Otherwise, contains the name by which tixwish was invoked.

geometry
    If the -geometry option is specified, tixwish copies its value into this variable. If the variable still exists after fileName has been evaluated, tixwish uses the value of the variable in a wm geometry command to set the main window's geometry.

tcl_interactive
    Contains 1 if tixwish is reading commands interactively (fileName was not specified and standard input is a terminal-like device), 0 otherwise.

X RESOURCES
Tixwish makes use of several X Resources to determine the Toolkit Options for the Tix library. These X resources must be set using RESOURCE_MANAGER properties or .Xdefaults files before tixwish starts running. These resources must be associated with the main window of the tixwish application. These options include:

Name:		tixScheme
Class:		TixScheme

    Specifies the color scheme to use for the Tix application. Currently only these schemes are supported: Blue, Gray, SGIGray, TixGray, and TK.

Name:		tixFontSet
Class:		TixFontSet

    Specifies the FontSet to use for the Tix application. A FontSet designates the fonts to use for different types of widgets. Currently only these FontSets are supported: 12Point, 14Point and TK.

For example, you may put these two lines in your .Xdefaults file
    *tixwish.tixScheme: Gray
    *tixwish.tixFontSet: 12Point

SCRIPT FILES

If you create a Tcl script in a file whose first line is #!/usr/local/bin/tixwish then you can invoke the script file directly from your shell if you mark it as executable. This assumes that tixwish has been installed in the default location in /usr/local/bin; if it's installed somewhere else then you'll have to modify the above line to match. Many UNIX systems do not allow the #! line to exceed about 30 characters in length, so be sure that the tixwish executable can be accessed with a short file name.

PROMPTS

When tixwish is invoked interactively it normally prompts for each command with ``% ''. You can change the prompt by setting the variables tcl_prompt1 and tcl_prompt2. If variable tcl_prompt1 exists then it must consist of a Tcl script to output a prompt; instead of outputting a prompt tixwish will evaluate the script in tcl_prompt1. The variable tcl_prompt2 is used in a similar way when a newline is typed but the current command isn't yet complete; if tcl_prompt2 isn't set then no prompt is output for incomplete commands.

KEYWORDS
shell, wish, Tk, toolkit